from __future__ import annotations
from typing import Any
from enum import IntEnum
from enum import auto

class FillDirection(IntEnum):
    TO_BOTTOM = auto()
    TO_RIGHT = auto()
    TO_TOP = auto()
    TO_LEFT = auto()
